Subject: Re: bug#26835: 26.0.50; url-retrieve no longer raises certificate errors

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 May 2017 19:48:32 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Aaron Jensen <[email-masked]>,  [email-masked]
> Date: Wed, 10 May 2017 16:24:13 +0200
> 
> >> (setq gnutls-verify-error t)
> >> (url-retrieve-synchronously "https://wrong.host.badssl.com/")
> >> 
> >> In Emacs 25.2, this causes an error to be thrown when you use
> >> url-retrieve, in 26, it silently proceeds.
> >
> > That's because we now perform GnuTLS negotiation asynchronously,
> > without blocking.
> 
> (As an aside, perhaps url-retrieve-synchronously should be opening the
> socket with :nowait nil?)

Yes, I had a similar thought while I was reading the code.

> Good analysis.  I'll try to have a look at this soonish (and make it
> report the error properly) unless somebody else beats me to it.

Thanks.